Bug 1879910 - bump EgressNetworkPolicy maxItems to 1000
Summary: bump EgressNetworkPolicy maxItems to 1000
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.0
Assignee: Dan Winship
QA Contact: huirwang
URL:
Whiteboard:
Depends On:
Blocks: 1881429 1881529
TreeView+ depends on / blocked
 
Reported: 2020-09-17 10:39 UTC by Dan Winship
Modified: 2020-10-27 16:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1881529 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:41:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 796 0 None closed Bug 1879910: openshift-sdn: bump EgressNetworkPolicy maxItems to 1000 2020-12-05 16:56:51 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:42:12 UTC

Description Dan Winship 2020-09-17 10:39:01 UTC
The max items per EgressNetworkPolicy was always completely arbitrary; the code blindly assumes that there won't be more items there than there are possible `priority` values in an OpenFlow rule, but it doesn't really care beyond that. We picked 50 arbitrarily because it should have been more than enough given the way that we intended for people to use the feature, but people have always been using the feature to do things we didn't really originally intend.

https://issues.redhat.com/browse/SDN-1199

Comment 5 errata-xmlrpc 2020-10-27 16:41:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.